Printago API
GET /v1/integrations/etsy/{integrationId}/usage

Get Etsy usage stats

Get current usage statistics for the Etsy integration

Requires: integration.view

Path Parameters

integrationId required
string
The Etsy integration ID

Response Schema

UsageStats.o1
cycleEndDaterequired
string
format: date-time
cycleStartDaterequired
string
format: date-time
listingsrequired
object
currentrequired
number
limitrequirednullable
number
remainingrequirednullable
number
ordersrequired
object
currentrequired
number
limitrequirednullable
number
remainingrequirednullable
number
tierrequirednullable
"etsy-starter" | "etsy-pro"
etsy-starteretsy-pro

Example Response

200 OK — application/json
{
  "tier": "etsy-starter",
  "orders": {
    "current": 1,
    "limit": 1,
    "remaining": 1
  },
  "listings": {
    "current": 1,
    "limit": 1,
    "remaining": 1
  },
  "cycleStartDate": "2025-01-15T12:00:00.000Z",
  "cycleEndDate": "2025-01-15T12:00:00.000Z"
}